.tloader-msg:after {
  content: '\4E0B\62C9\5237\65B0';
}
.state-pulling.enough .tloader-msg:after {
  content: '\677E\5F00\5237\65B0';
}
.state-refreshed .tloader-msg:after {
  content: '\5237\65B0\6210\529F';
}
.tloader-loading:after {
  content: '\6B63\5728\52A0\8F7D...';
}
.tloader-symbol .tloader-loading:after {
  content: '\6B63\5728\5237\65B0...';
}
.tloader-btn:after {
  content: '\70B9\51FB\52A0\8F7D\66F4\591A';
}
.tloader {
  position: relative;
}
.tloader.state-pulling {
  overflow-y: hidden;
}
.tloader-symbol {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  color: #7676a1;
  text-align: center;
  height: 3rem;
  overflow: hidden;
}
.state- .tloader-symbol,
.state-reset .tloader-symbol {
  height: 0;
}
.state-reset .tloader-symbol {
  -webkit-transition: height 0s 0.2s;
  transition: height 0s 0.2s;
}
.state-loading .tloader-symbol {
  display: none;
}
.tloader-msg {
  line-height: 3rem;
  font-size: 11px;
}
.state-pulling .tloader-msg i,
.state-reset .tloader-msg i {
  display: inline-block;
  font-size: 2em;
  margin-right: .6em;
  vertical-align: middle;
  height: 1em;
  border-left: 1px solid;
  position: relative;
  -webkit-transition: -webkit-transform .3s ease;
  transition: -webkit-transform .3s ease;
  transition: transform .3s ease;
  transition: transform .3s ease, -webkit-transform .3s ease;
}
.state-pulling .tloader-msg i:before,
.state-reset .tloader-msg i:before,
.state-pulling .tloader-msg i:after,
.state-reset .tloader-msg i:after {
  content: '';
  position: absolute;
  font-size: .5em;
  width: 1em;
  bottom: 0px;
  border-top: 1px solid;
}
.state-pulling .tloader-msg i:before,
.state-reset .tloader-msg i:before {
  right: 1px;
  -webkit-transform: rotate(50deg);
          transform: rotate(50deg);
  -webkit-transform-origin: right;
          transform-origin: right;
}
.state-pulling .tloader-msg i:after,
.state-reset .tloader-msg i:after {
  left: 0px;
  -webkit-transform: rotate(-50deg);
          transform: rotate(-50deg);
  -webkit-transform-origin: left;
          transform-origin: left;
}
.state-pulling.enough .tloader-msg i {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
}
.state-refreshing .tloader-msg {
  height: 0;
  opacity: 0;
}
.state-refreshed .tloader-msg {
  opacity: 1;
  -webkit-transition: opacity 1s;
  transition: opacity 1s;
}
.state-refreshed .tloader-msg i {
  display: inline-block;
  box-sizing: content-box;
  vertical-align: middle;
  margin-right: 10px;
  font-size: 20px;
  height: 1em;
  width: 1em;
  border: 1px solid;
  border-radius: 100%;
  position: relative;
}
.state-refreshed .tloader-msg i:before {
  content: '';
  position: absolute;
  top: 3px;
  left: 7px;
  height: 11px;
  width: 5px;
  border: solid;
  border-width: 0 1px 1px 0;
  -webkit-transform: rotate(40deg);
          transform: rotate(40deg);
}
.tloader-body {
  margin-top: -1px;
  padding-top: 1px;
}
.state-refreshing .tloader-body {
  -webkit-transform: translate3d(0, 3rem, 0);
          transform: translate3d(0, 3rem, 0);
  -webkit-transition: -webkit-transform 0.2s;
  transition: -webkit-transform 0.2s;
  transition: transform 0.2s;
  transition: transform 0.2s, -webkit-transform 0.2s;
}
.state-refreshed .tloader-body {
  -webkit-animation: refreshed 0.4s;
          animation: refreshed 0.4s;
}
.state-reset .tloader-body {
  -webkit-transition: -webkit-transform 0.2s;
  transition: -webkit-transform 0.2s;
  transition: transform 0.2s;
  transition: transform 0.2s, -webkit-transform 0.2s;
}
@-webkit-keyframes refreshed {
  0% {
    -webkit-transform: translate3d(0, 3rem, 0);
            transform: translate3d(0, 3rem, 0);
  }
  50% {
    -webkit-transform: translate3d(0, 3rem, 0);
            transform: translate3d(0, 3rem, 0);
  }
}
@keyframes refreshed {
  0% {
    -webkit-transform: translate3d(0, 3rem, 0);
            transform: translate3d(0, 3rem, 0);
  }
  50% {
    -webkit-transform: translate3d(0, 3rem, 0);
            transform: translate3d(0, 3rem, 0);
  }
}
.state-refreshing .tloader-footer {
  display: none;
}
.tloader-footer .tloader-btn {
  color: #484869;
  font-size: .9em;
  text-align: center;
  line-height: 3rem;
}
.state-loading .tloader-footer .tloader-btn {
  display: none;
}
.tloader-loading {
  display: none;
  text-align: center;
  line-height: 3rem;
  font-size: 11px;
  color: #7676a1;
}
.tloader-loading .ui-loading {
  font-size: 20px;
  margin-right: .6rem;
}
.state-refreshing .tloader-symbol .tloader-loading,
.state-loading .tloader-footer .tloader-loading {
  display: block;
}
@-webkit-keyframes circle {
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
@keyframes circle {
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
.ui-loading {
  display: inline-block;
  vertical-align: middle;
  font-size: 1.5rem;
  width: 1em;
  height: 1em;
  border: 2px solid #9494b6;
  border-top-color: #fff;
  border-radius: 100%;
  -webkit-animation: circle .8s infinite linear;
          animation: circle .8s infinite linear;
}
#ui-waiting .ui-loading {
  border: 2px solid #fff;
  border-top-color: #9494b6;
}
@-webkit-keyframes tloader-progressing {
  0% {
    width: 0;
  }
  10% {
    width: 40%;
  }
  20% {
    width: 75%;
  }
  30% {
    width: 95%;
  }
}
@keyframes tloader-progressing {
  0% {
    width: 0;
  }
  10% {
    width: 40%;
  }
  20% {
    width: 75%;
  }
  30% {
    width: 95%;
  }
}
@-webkit-keyframes tloader-progressed {
  0% {
    opacity: 1;
  }
}
@keyframes tloader-progressed {
  0% {
    opacity: 1;
  }
}
.tloader-progress {
  position: relative;
}
.tloader-progress:before {
  content: "";
  z-index: 1000;
  position: absolute;
  top: 0;
  left: 0;
  height: 2px;
  background-color: #08BF06;
  width: 99%;
  -webkit-animation: tloader-progressing 9s ease-out;
          animation: tloader-progressing 9s ease-out;
}
.ed.tloader-progress:before {
  opacity: 0;
  width: 100%;
  -webkit-animation: tloader-progressed 1s;
          animation: tloader-progressed 1s;
}

/*# sourceMappingURL=data:application/json;base64,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 */